// 计算token失效时长
export const timeCompare = (time) => {
    let dateBegin = new Date(time.replace(/-/g, '/')) // 将-转化为/，使用new Date
    let dateEnd = new Date() // 获取当前时间
    // 时间相差秒数
    let dateDiff = dateBegin.getTime() - dateEnd.getTime() // 时间差的毫秒数
    // 计算出相差天数
    let days = Math.floor(dateDiff / (24 * 3600 * 1000));
    // 计算出小时数
    let residue1 = dateDiff % (24 * 3600 * 1000); // 计算天数后剩余的毫秒数
    let hours = Math.floor(residue1 / (3600 * 1000));
    // 计算相差分钟数
    let residue2 = residue1 % (3600 * 1000); // 计算小时数后剩余的毫秒数
    let minutes = Math.floor(residue2 / (60 * 1000));
    // 计算相差秒数
    let residue3 = residue2 % (60 * 1000); // 计算分钟数后剩余的毫秒数
    let seconds = Math.round(residue3 / 1000);
    let date = {
        day: days,
        hour: hours,
        minute: minutes,
        second: seconds
    }
    return date
}
